---
title: Workstreams
weight: 2
---

This page is WiP (23.8.2024). 

> Continued discussion on 29th Aug 24
> * idea: Top down mit SAFe, Value Streams
> * paralell dazu bottom up (die zB aus den technisch/operativen Tätigkeietn entstehen)
> * Scrum Master?
> * Claim: Self Service im Onboarding (BTW, genau das Versprechen vom Developer Framework)
> * Org-Struktur: Scrum of Scrum (?), max. 8,9 Menschen

Stefan and Stephan try to solve the mission 'wir wollen losmachen'.

**Solution Idea**: 

1. First we define a **rough overall structure (see 'streams')** and propose some initial **activities** (like user stories) within them.
1. Next we work in **iterative steps** and produce iteratively progress and knowledge and outcomes in these activities.
1. Next the **whole team** decides which are the next valuable steps

## Overall Structure: Streams

We discovered three **streams** in the first project steps (see also [blog](../../../blog/news/240823-archsession/_index.md)):

1. Research, Fundamentals, Architecture
1. POCs (Applications, Platform-variants, ...)
1. Deployment, production-lifecycle

```markmap
# 
## Stream 'Fundamentals'
### [Platform-Definition](./fundamentals/platform-definition/)
### [CI/CD Definition](./fundamentals/cicd-definition/)
## Stream 'POC'
### [CNOE](./pocs/cnoe/)
### [Kratix](./pocs/kratix/)
### [SIA Asset](./pocs/sia-asset/)
### Backstage
### Telemetry
## Stream 'Deployment'
### [Forgejo](./deployment/forgejo/)
```

## DoR - Definition of Ready

Bevor eine Aufgabe umgesetzt wird, muss ein Design vorhanden sein.

Bezüglich der 'Bebauung' von Plaztform-Komponenten gilt für das Design:

1) Die Zielstellung der Komponenet muss erfasst sein
