---
title: Activity 'CNOE Investigation'
linkTitle: CNOE
weight: 1
---


## Summary

Als designiertes Basis-Tool des Developer Frameworks sollen die Verwendung und die Möglichkeiten von CNOE zur Erweiterung analysiert werden.

## Rationale

CNOE ist das designierte Werkzeug zur Beschreibung und Ausspielung des Developer Frameworks. 
Dieses Werkzeug gilt es zu erlernen, zu beschreiben und weiterzuentwickeln.
Insbesondere der Metacharkter des 'Software zur Bereitstellung von Bereitstellungssoftware für Software', d.h. der unterschiedlichen Ebenen für unterschiedliche Use Cases und Akteure soll klar verständlich und dokumentiert werden. Siehe hierzu auch das Webinar von Huamnitec und die Diskussion zu unterschiedlichen Bereitstellungsmethoden eines RedisCaches.

## Task

* CNOE deklarativ in lokalem und ggf. vorhandenem Cloud-Umfeld startbar machen
* Architektur von COE beschreiben, wesentliche Wording finden (zB Orchestrator, Stacks, Kompoennten-Deklaration, ...)
* Tests / validations durchführen
* eigene 'Stacks erstellen' (auch in Zusammenarbeit mit Applikations-POCs, zB. SIA und Telemetrie)
* Wording und Architektur von Activity ['Platform-Definition'](../../fundamentals/platform-definition/) beachten und challengen
* Alles, was startbar und lauffähig ist, soll möglichst vollautomatisch verscriptet und git dokumentiert in einem Repo liegen

## Issues / Ideas / Improvements

* k3d anstatt kind
* kind: ggf. issue mit kindnet, ersetzen durch Cilium


